## lomiri-dialer-app 2.0.0

=== accounts/CMakeLists.txt ===
file(GLOB APPLICATION_FILES *.application)
install(FILES ${APPLICATION_FILES} DESTINATION share/accounts/applications/)

=== click/CMakeLists.txt ===
# This command figures out the target architecture for use in the manifest file
execute_process(
    COMMAND dpkg-architecture -qDEB_HOST_ARCH
    OUTPUT_VARIABLE CLICK_ARCH
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

set(DATA_DIR "/")

configure_file(manifest.json.in ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json DESTINATION ${DATA_DIR})
install(FILES ${PROJECT_NAME}.apparmor DESTINATION ${DATA_DIR})
install(FILES ${PROJECT_NAME}.desktop DESTINATION ${DATA_DIR})
install(FILES ${PROJECT_NAME}.url-dispatcher DESTINATION ${DATA_DIR})
install(FILES ${PROJECT_NAME}-test.png DESTINATION ${DATA_DIR})

=== po/CMakeLists.txt ===
include(FindGettext)
find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)

set(DOMAIN ${PROJECT_NAME})
set(POT_FILE ${DOMAIN}.pot)

file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/LINGUAS LINGUAS
     REGEX "^[^#].*")
string(REGEX MATCHALL "[^ \t]+" LANGS "${LINGUAS}")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/POTFILES.in
  ${CMAKE_CURRENT_BINARY_DIR}/POTFILES COPYONLY
)

add_custom_target(${POT_FILE} ALL
  COMMENT "Generating translation template"
  # Extract the translatable messages from the desktop file
  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
          --from-code=UTF-8
          --language=Desktop
          --package-name='${PROJECT_NAME}'
          --copyright-holder='Canonical Ltd.'
          -D ${CMAKE_BINARY_DIR}
          src/${DESKTOP_FILE}.in
  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
          -D ${CMAKE_SOURCE_DIR}
          -D ${CMAKE_CURRENT_SOURCE_DIR}
          -D ${CMAKE_CURRENT_BINARY_DIR}
          --from-code=UTF-8
          --c++ --qt --add-comments=TRANSLATORS
          --keyword=tr --keyword=tr:1,2 --keyword=N_ --keyword=QT_TR_NOOP --keyword=ctr:1c,2
          --package-name='${PROJECT_NAME}'
          --copyright-holder='Canonical Ltd.'
          --join-existing --files-from=${CMAKE_CURRENT_BINARY_DIR}/POTFILES)

foreach(LANG ${LANGS})
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${LANG}.po
                   ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po
                   COPYONLY)
endforeach(LANG)
gettext_process_pot_file(${POT_FILE} ALL
                         INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR}
                         LANGUAGES ${LANGS})

=== src/CMakeLists.txt ===
include(FindGettext)

set(DIALER_APP lomiri-dialer-app)

set(dialer_app_HDRS
    dialerapplication.h
    dialpadsearch.h
    contactutils.h
    )

set(dialer_app_SRCS
    dialerapplication.cpp
    dialpadsearch.cpp
    contactutils.cpp
    main.cpp
    )

add_executable(${DIALER_APP}
    ${dialer_app_SRCS}
    )
qt5_use_modules(${DIALER_APP} Core DBus Gui Qml Quick Contacts)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    )

install(TARGETS ${DIALER_APP}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    )

configure_file(${DESKTOP_FILE}.in.in ${DESKTOP_FILE}.in)
add_custom_target(${DESKTOP_FILE} ALL
    COMMENT "Merging translations into ${DESKTOP_FILE}..."
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
            --desktop --template=${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in
            -o ${DESKTOP_FILE}
            -d ${CMAKE_SOURCE_DIR}/po
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
    DESTINATION ${CMAKE_INSTALL_DATADIR}/applications
    )

install(FILES "lomiri-dialer-app.url-dispatcher"
    DESTINATION ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls
    )

add_subdirectory(qml)

=== tests/CMakeLists.txt ===
execute_process(COMMAND python3 -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())"
    OUTPUT_VARIABLE PYTHON_PACKAGE_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)

add_subdirectory(qml)
add_subdirectory(private)
add_subdirectory(data)
add_subdirectory(autopilot)

=== src/qml/CMakeLists.txt ===
project(qml)

file(GLOB QML_JS_FILES *.qml *.js)

# make the files visible on qtcreator
add_custom_target(dialer_app_QMlFiles ALL SOURCES ${QML_JS_FILES})

set(ASSETS_DIR assets)
set(MMI_DIR MMI)

install(FILES ${QML_JS_FILES} DESTINATION ${DIALER_APP_DIR})
install(DIRECTORY ${ASSETS_DIR} DESTINATION ${DIALER_APP_DIR})
install(DIRECTORY ${MMI_DIR} DESTINATION ${DIALER_APP_DIR})

add_subdirectory(DialerPage)
add_subdirectory(HistoryPage)
add_subdirectory(LiveCallPage)
add_subdirectory(ContactsPage)
add_subdirectory(ContactViewPage)
add_subdirectory(ContactEditorPage)
add_subdirectory(Dialogs)
add_subdirectory(SettingsPage)

=== tests/autopilot/CMakeLists.txt ===
set(AUTOPILOT_DIR lomiri_dialer_app)


install(DIRECTORY ${AUTOPILOT_DIR}
    DESTINATION ${PYTHON_PACKAGE_DIR}
    )

add_custom_target(test-autopilot
    BUILD_DIR=${CMAKE_BINARY_DIR} autopilot3 run -v ${AUTOPILOT_DIR}
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)

=== tests/data/CMakeLists.txt ===
project(test_data)

set(AUTOPILOT_DATA
    vcard.vcf
)

install(FILES ${AUTOPILOT_DATA}
    DESTINATION ${PYTHON_PACKAGE_DIR}/lomiri_dialer_app/testdata/
)

=== tests/qml/CMakeLists.txt ===
find_package(Qt5Core REQUIRED)
find_package(Qt5Qml REQUIRED)
find_package(Qt5Quick REQUIRED)
find_package(Qt5QuickTest REQUIRED)
find_package(Qt5Contacts REQUIRED)

set(TEST tst_QmlTests)
set(XVFB_COMMAND)

find_program(XVFB_RUN_BIN
    NAMES xvfb-run
)

if(XVFB_RUN_BIN)
    set(XVFB_COMMAND ${XVFB_RUN_BIN} -s "-screen 0 1024x768x24" -a)
else()
    message(WARNING "Qml tests disabled: xvfb-run not found")
endif()

set(SOURCE_DIR ${lomiri-dialer-app_SOURCE_DIR}/src)
set(SOURCES
    ${SOURCE_DIR}/dialpadsearch.cpp
    #${SOURCE_DIR}/dialpadsearch.h
    ${SOURCE_DIR}/contactutils.cpp
    #${SOURCE_DIR}/contactutils.h
)

set(QmlTest_SOURCES
    ${SOURCES}
    tst_QmlTests.cpp
    )

include_directories(
    ${lomiri-dialer-app_SOURCE_DIR}/src
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

#QML tests
macro(DECLARE_QML_TEST TST_NAME TST_QML_FILE)
    add_test(${TST_NAME} ${XVFB_COMMAND} ${CMAKE_CURRENT_BINARY_DIR}/${TEST}
        -import ${CMAKE_BINARY_DIR}/src
        -input ${CMAKE_CURRENT_SOURCE_DIR}/${TST_QML_FILE}
    )
endmacro()


add_executable(${TEST} ${QmlTest_SOURCES})
qt5_use_modules(${TEST} Core Qml Quick QuickTest Contacts)


declare_qml_test(KeypadButton tst_KeypadButton.qml)
declare_qml_test(MainView tst_MainView.qml)
declare_qml_test(StopWatch tst_StopWatch.qml)
declare_qml_test(HistoryDelegate tst_HistoryDelegate.qml)
declare_qml_test(DialerPage tst_DialerPage.qml)
set_tests_properties(DialerPage PROPERTIES ENVIRONMENT "HOME=/tmp/tests")
declare_qml_test(DialPadSearch tst_DialPadSearch.qml)

# make qml files visible in QtCreator
file(GLOB_RECURSE QML_TST_FILES *.qml)
add_custom_target(tst_QmlFiles ALL SOURCES ${QML_TST_FILES})

=== src/qml/ContactViewPage/CMakeLists.txt ===
file(GLOB CONTACT_VIEW_QML_JS_FILES *.qml *.js)

# make the files visible on qtcreator
add_custom_target(dialer_contactviewpage_QMlFiles ALL SOURCES ${CONTACT_VIEW_QML_JS_FILES})

install(FILES ${CONTACT_VIEW_QML_JS_FILES} DESTINATION ${DIALER_APP_DIR}/ContactViewPage)

=== src/qml/ContactsPage/CMakeLists.txt ===
file(GLOB CONTACTS_QML_JS_FILES *.qml *.js)

# make the files visible on qtcreator
add_custom_target(dialer_contacts_QMlFiles ALL SOURCES ${CONTACTS_QML_JS_FILES})

install(FILES ${CONTACTS_QML_JS_FILES} DESTINATION ${DIALER_APP_DIR}/ContactsPage)

=== src/qml/DialerPage/CMakeLists.txt ===
file(GLOB DIALER_QML_JS_FILES *.qml *.js)

# make the files visible on qtcreator
add_custom_target(dialer_dialer_QMlFiles ALL SOURCES ${DIALER_QML_JS_FILES})

install(FILES ${DIALER_QML_JS_FILES} DESTINATION ${DIALER_APP_DIR}/DialerPage)

=== debian/changelog ===
lomiri-dialer-app (2.0.0-4) unstable; urgency=medium

  * debian/patches:
    + Add 2003_disable-autopilot.patch. Disable autopilot packaging entirely.
  * debian/control:
    + Drop python3* from B-D.
  * debian/rules:
    + Drop dh_auto_install override. Not needed anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 31 Jan 2025 23:10:25 +0100

lomiri-dialer-app (2.0.0-3) unstable; urgency=medium

  * debian/patches:
    + Add 2001_hide-app-on-non-Lomiri-DEs.patch. Hide dialer app if session is
      not Lomiri.
    + Add 2002_disable-splash-screen.patch. Work around weird phenomen where the
      top window bar of the dialer app is inaccessible after app startup.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 Jan 2025 18:46:30 +0100

lomiri-dialer-app (2.0.0-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_DialerContactViewPage-add-phone-number-to-the-main-c.patch
      and 0002_fix-contact-edition.patch. Adapt to QtContacts-Sqlite contact
      backend.
    + Add 1001_fix-artwork-filenames.patch. Fix artwork file paths in .desktop
      file.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Jan 2025 15:40:18 +0100

lomiri-dialer-app (2.0.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1086514).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Oct 2024 13:44:26 +0200

=== debian/control ===
Source: lomiri-dialer-app
Section: x11
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-python,
 intltool,
 pkgconf,
 qml-module-qt-labs-settings,
 qml-module-qtsysteminfo (>= 5.0~),
 qml-module-qtcontacts,
 qml-module-qttest,
 qml-module-lomiri-components,
 qml-module-lomiri-content,
 qml-module-lomiri-test,
 qml-module-lomiri-onlineaccounts,
 qml-module-ofono (>=0.117~) <!nocheck>,
 qtbase5-dev (>= 5.0),
 qtpim5-dev,
 qtdeclarative5-dev (>= 5.0),
 qtdeclarative5-dev-tools,
 qml-module-lomiri-addressbook,
 qml-module-lomiri-history | qml-module-lomiri-history0.1,
 qml-module-lomiri-telephony-phonenumber | qml-module-lomiri-telephony-phonenumber0.1,
 qml-module-lomiri-telephony | qml-module-lomiri-telephony0.1,
 xvfb,
 xauth,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-dialer-app
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-dialer-app.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-dialer-app

Package: lomiri-dialer-app
Architecture: any
Depends:
 qml-module-qt-labs-settings,
 qml-module-qtcontacts,
 qml-module-qtsysteminfo (>= 5.0~),
 qml-module-lomiri-components,
 qml-module-lomiri-content,
 qml-module-lomiri-onlineaccounts,
 qml-module-lomiri-addressbook,
 qml-module-lomiri-history | qml-module-lomiri-history0.1,
 qml-module-lomiri-telephony-phonenumber | qml-module-lomiri-telephony-phonenumber0.1,
 qml-module-lomiri-telephony | qml-module-lomiri-telephony0.1,
 qml-module-ofono (>=0.117~),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 lomiri
Description: Dialer App for Lomiri Operating Environment
 This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also supports convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides Lomiri's Dialer App.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

# Skip tests on the archs they are known to be flaky with current configuration
# Ref.: https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1585942
testskip_architectures := powerpc ppc64el s390x

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
export DEB_BUILD_PROFILES := nocheck
endif

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Debug

override_dh_auto_test:
ifneq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(testskip_architectures)))
	dh_auto_test
else
	-dh_auto_test
endif

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
